Object.defineProperty(exports, "__esModule", { value: true });
const validation_methods_1 = require("./validation_methods");
class ActiveHashValidation {
    constructor() {
        this.errors = [];
        this.validate = this.validate.bind(this);
        this.errorMessages = this.errorMessages.bind(this);
    }
    validate(model, validations) {
        const validationMethods = new validation_methods_1.ValidationMethods(model, this);
        validationMethods.validates("id", "presence", true);
        validationMethods.validates("id", "uniqueness", true);
        validations(validationMethods);
    }
    errorMessages() {
        return this.errors.map((error) => `テーブル[${error.model.name}]のレコードID=${error.ids} カラム[${error.column}]において ${error.message}`);
    }
}
exports.ActiveHashValidation = ActiveHashValidation;
exports.activeHashValidation = new ActiveHashValidation();
exports.validate = exports.activeHashValidation.validate;
//# sourceMappingURL=active_hash_validation.js.map